"""Wrappers for LLM APIs."""

from e84_geoai_common.llm.models.claude import (
    CLAUDE_3_5_HAIKU,
    CLAUDE_3_5_SONNET,
    CLAUDE_3_5_SONNET_V2,
    CLAUDE_3_7_SONNET,
    CLAUDE_3_HAIKU,
    CLAUDE_3_OPUS,
    CLAUDE_3_SONNET,
    CLAUDE_4_SONNET,
    CLAUDE_BEDROCK_MODEL_IDS,
    CLAUDE_INSTANT,
    BedrockClaudeLLM,
    ClaudeInvokeLLMRequest,
)
from e84_geoai_common.llm.models.converse import (
    CONVERSE_BEDROCK_MODEL_IDS,
    LLAMA_3_1_8_B_INSTRUCT,
    LLAMA_3_1_70_B_INSTRUCT,
    LLAMA_3_2_1_B_INSTRUCT,
    LLAMA_3_2_3_B_INSTRUCT,
    LLAMA_3_2_11_B_VISION_INSTRUCT,
    LLAMA_3_2_90_B_VISION_INSTRUCT,
    LLAMA_3_3_70_B_INSTRUCT,
    BedrockConverseLLM,
    ConverseInvokeLLMRequest,
)
from e84_geoai_common.llm.models.nova import (
    NOVA_BEDROCK_MODEL_IDS,
    NOVA_CANVAS,
    NOVA_LITE,
    NOVA_MICRO,
    NOVA_PRO,
    NOVA_REEL,
    BedrockNovaLLM,
    NovaInvokeLLMRequest,
)

__all__ = [
    "CLAUDE_3_5_HAIKU",
    "CLAUDE_3_5_SONNET",
    "CLAUDE_3_5_SONNET_V2",
    "CLAUDE_3_7_SONNET",
    "CLAUDE_3_HAIKU",
    "CLAUDE_3_OPUS",
    "CLAUDE_3_SONNET",
    "CLAUDE_4_SONNET",
    "CLAUDE_BEDROCK_MODEL_IDS",
    "CLAUDE_INSTANT",
    "CONVERSE_BEDROCK_MODEL_IDS",
    "LLAMA_3_1_8_B_INSTRUCT",
    "LLAMA_3_1_70_B_INSTRUCT",
    "LLAMA_3_2_1_B_INSTRUCT",
    "LLAMA_3_2_3_B_INSTRUCT",
    "LLAMA_3_2_11_B_VISION_INSTRUCT",
    "LLAMA_3_2_90_B_VISION_INSTRUCT",
    "LLAMA_3_3_70_B_INSTRUCT",
    "NOVA_BEDROCK_MODEL_IDS",
    "NOVA_CANVAS",
    "NOVA_LITE",
    "NOVA_MICRO",
    "NOVA_PRO",
    "NOVA_REEL",
    "BedrockClaudeLLM",
    "BedrockConverseLLM",
    "BedrockNovaLLM",
    "ClaudeInvokeLLMRequest",
    "ConverseInvokeLLMRequest",
    "NovaInvokeLLMRequest",
]
